# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-09-02 09:02
from __future__ import unicode_literals

import ckeditor.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0015_product_is_active'),
    ]

    operations = [
        migrations.CreateModel(
            name='Brand',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512, verbose_name='название бренда')),
                ('slug', models.SlugField(verbose_name='адрес страницы')),
                ('logo', models.ImageField(upload_to='', verbose_name='логотип')),
                ('description', ckeditor.fields.RichTextField(verbose_name='описание')),
                ('order_field', models.PositiveIntegerField(default=0, verbose_name='нажать и тащить')),
            ],
            options={
                'verbose_name_plural': 'бренды',
                'verbose_name': 'бренд',
            },
        ),
        migrations.AlterField(
            model_name='category',
            name='is_active',
            field=models.BooleanField(default=True, verbose_name='отображать на сайте'),
        ),
        migrations.AlterField(
            model_name='category',
            name='mail_cta',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='marketing.MailCTA', verbose_name='призыв к действию: рассылка'),
        ),
        migrations.AlterField(
            model_name='category',
            name='sommelier_cta',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='marketing.SommelierCTA', verbose_name='призыв к действию: сомелье'),
        ),
        migrations.AlterField(
            model_name='product',
            name='is_active',
            field=models.BooleanField(default=True, verbose_name='отображать на сайте'),
        ),
        migrations.AlterField(
            model_name='product',
            name='is_available',
            field=models.BooleanField(default=True, verbose_name='имеется в наличии'),
        ),
        migrations.AlterField(
            model_name='product',
            name='mail_cta',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='marketing.MailCTA', verbose_name='призыв к действию: рассылка'),
        ),
        migrations.AlterField(
            model_name='product',
            name='sommelier_cta',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='marketing.SommelierCTA', verbose_name='призыв к действию: сомелье'),
        ),
        migrations.AddField(
            model_name='product',
            name='brand',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='catalogue.Brand', verbose_name='бренд'),
        ),
    ]
